<?php

// Heading
$_['heading_title']                            = 'Foxpost Official';

// Text
$_['text_shipping']                            = 'Shipping';
$_['text_orders']                              = 'Foxpost orders';
$_['text_settings']                            = 'Foxpost settings';
$_['text_payment_extensions']                  = 'Payment extensions';

$_['text_shipping_settings']                   = 'Shipping settings';
$_['text_shipping_surcharge']                  = 'Surcharge';
$_['text_shipping_freelimit']                  = 'Free limit';
$_['text_shipping_apm_cost']                   = 'APM cost';
$_['text_shipping_apmcod_cost']                = 'APM with COD cost';
$_['text_shipping_transfer_cost']              = 'Transfer cost';
$_['text_shipping_transfercod_cost']           = 'Transfer with cash on delivery cost';
$_['text_shipping_services']                   = 'Services';
$_['text_shipping_apm']                        = 'APM';
$_['text_shipping_apmcod']                     = 'Cash at APM';
$_['text_shipping_transfer']                   = 'Delivery';
$_['text_shipping_transfercod']                = 'Cash on delivery';
$_['text_order_status']                        = 'Order status on COD';
$_['text_order_status_foxpost_created']        = 'Order status on Foxpost created';
$_['text_order_status_foxpost_sync']           = 'Status sync';
$_['text_order_status_nochange']               = 'no change';
$_['text_foxpost_status']                      = 'Foxpost status';
$_['text_opencart_status']                     = 'Opencart status';
$_['text_status']                              = 'Status';
$_['text_sort_order']                          = 'Sort order';

$_['text_api_settings']                        = 'API settings';
$_['text_link_info']                           = 'Get your API data';
$_['text_api_username']                        = 'API username';
$_['text_api_password']                        = 'API password';
$_['text_api_key']                             = 'API key';

$_['text_apm_list']                            = 'APM list';
$_['text_apm_list_id']                         = 'ID';
$_['text_apm_list_name']                       = 'Name';
$_['text_apm_list_group']                      = 'Group';
$_['text_apm_list_address']                    = 'Address';

$_['text_success']                             = 'You have configured Foxpost shipping!';
$_['text_api_status']                          = 'API status';
$_['text_ok']                                  = 'OK';
$_['text_error']                               = 'ERROR';

// ORDERS

$_['column_order_id']        = 'Order ID';
$_['column_barcode']         = 'Barcode';
$_['column_foxpost_status']  = 'Foxpost status';
$_['column_foxpost_size']    = 'Package size';
$_['column_shipping_method'] = 'Shipping method';
$_['column_cod']             = 'COD';
$_['column_order_create_at'] = 'Order create at';
$_['column_last_sync']       = 'Last sync';

$_['text_sync_selected']     = 'Sync selected';
$_['text_export_selected']   = 'Export selected to .csv';
$_['text_get_barcode']       = 'Get barcode for selected';
$_['text_page_size']         = 'Page size';
$_['text_pending_items']     = 'Pending items';
$_['text_archived_items']    = 'Archived items';
$_['text_go_to_archives']    = 'Go to Archives';
$_['text_go_to_pendings']    = 'Go to Pendings';
$_['text_delivery']          = 'Delivery';
$_['text_apm']               = 'APM';
$_['text_create']            = 'Create';
$_['text_package_size']      = 'Package size';
$_['text_package_size_for_create'] = 'Package size for create';
$_['text_sync']              = 'Sync';
$_['text_barcode']           = 'Barcode';

$_['text_foxpost_status_CREATE'] = 'Created';

$_['text_foxpost_tracking']  = 'Foxpost tracking';

// Mail
$_['mail_foxpost_subject']          = '%s - Order %s';
$_['mail_foxpost_greeting']         = 'Thank you for your interest in %s products. Your order status has been changed.';
$_['mail_foxpost_link']             = 'To view your order click on the link below:';
$_['mail_foxpost_tracking_link']    = 'To view your Foxpost tracking click on the link below:';
$_['mail_foxpost_order_detail']     = 'Order Details';
$_['mail_foxpost_instruction']      = 'Instructions';
$_['mail_foxpost_order_id']         = 'Order ID:';
$_['mail_foxpost_date_added']       = 'Date Added:';
$_['mail_foxpost_order_status']     = 'Order Status:';
$_['mail_foxpost_payment_address']  = 'Payment Address';
$_['mail_foxpost_shipping_address'] = 'Shipping Address';
$_['mail_foxpost_payment_method']   = 'Payment Method:';
$_['mail_foxpost_shipping_method']  = 'Shipping Method:';
$_['mail_foxpost_email']            = 'E-mail:';
$_['mail_foxpost_telephone']        = 'Telephone:';
$_['mail_foxpost_ip']               = 'IP Address:';
$_['mail_foxpost_footer']           = 'Please reply to this e-mail if you have any questions.';

// Error
$_['error_permission']                         = 'Warning: You do not have permission to modify Foxpost shipping!';
$_['error_service']                            = 'Select one of this options!';
$_['error_username']                           = 'Basic auth username required!';
$_['error_password']                           = 'Basic auth password required!';
$_['error_key']                                = 'API key required!';
$_['error_apm_cost']                           = 'APM cost required!';
$_['error_apmcod_cost']                        = 'APM with COD cost required!';
$_['error_transfer_cost']                      = 'Transfer cost required!';
$_['error_transfercod_cost']                   = 'Transfer with cash on delivery cost required!';
$_['error_payment_extension']                  = 'Need install Foxpost payment extension!';

$_['error_api_401']                            = 'API access denied! Check API settings!';
$_['error_api_unknow']                         = 'Unknow error';
$_['error_api_validation']                     = 'Validation error';

