<?php

class ModelExtensionShippingFoxpost extends Model {

	public function install() {
        $this->db->query("ALTER TABLE " . DB_PREFIX . "session CHANGE data data LONGTEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL;");

        $this->db->query("CREATE TABLE IF NOT EXISTS " . DB_PREFIX . "foxpost_order (
			foxpost_order_id int(11) NOT NULL,
			order_id int(11) NOT NULL,
			foxpost_type varchar(32) NOT NULL,
			foxpost_barcode varchar(40) NOT NULL,
			foxpost_size varchar(2) NOT NULL,
			foxpost_status varchar(16) NOT NULL,
			foxpost_shortname varchar(64) NOT NULL,
			date_added datetime NOT NULL,
			date_modified datetime DEFAULT NULL
		) ENGINE=MyISAM DEFAULT CHARSET=utf8");

		$this->db->query("ALTER TABLE " . DB_PREFIX . "foxpost_order ADD PRIMARY KEY (foxpost_order_id)");

		$this->db->query("ALTER TABLE " . DB_PREFIX . "foxpost_order MODIFY foxpost_order_id int(11) NOT NULL AUTO_INCREMENT");
	}

    public function uninstall() {
        $this->db->query("DROP TABLE IF EXISTS " . DB_PREFIX . "foxpost_order");
    }

	public function addOrderHistory($order_id, $order_status_id, $comment, $notify = 1) {
		$this->db->query("UPDATE " . DB_PREFIX . "order SET order_status_id = '" . (int)$order_status_id . "', date_modified = NOW() WHERE order_id = '" . (int)$order_id . "'");

        $this->db->query("INSERT INTO " . DB_PREFIX . "order_history SET order_id = '" . (int)$order_id . "', order_status_id = '" . $order_status_id . "', notify = '".$notify."', comment = '" . $this->db->escape($comment) . "', date_added = NOW()");
    }

}
